% step response simulation script under ventilated model

clear all
close all
set(groot,'defaultLineLineWidth',1)
set(0,'defaultfigurecolor',[1 1 1])


%simulation time
t_sim = 1000;

% step time and values
step_time = 0;
initial_value = 0;
final_value = 1;

% %%%%%%%%%%%%%%%%%%%%%%%% parameters as in 151013 %%%%%%%%%%%%%%%%%%%%%%%%%%%%

load t151013_parameters
k_w = 0.07;
k_a = 1.5;
sim under_vent_sim

figure('Position',[500,800,350,250])
clf
hold on
plot(T.Time/60,T.Data)
plot(.1:.1:t_sim*0.1,1300*ones(1,t_sim),'k:') %refline
ylabel('Temperature [\circC]')
%axis([0,t_sim/60,0,1500])

yyaxis right
plot(u.Time/60,u.Data*100)
ylabel('Fan input [%]')
axis([0,t_sim/60,0,100])

%title('0512')
xlabel('Time [min]')

